## ros-one-joint-trajectory-controller 0.22.0-0jammy.20251023.0854

=== debian/changelog ===
ros-one-joint-trajectory-controller (0.22.0-0jammy.20251023.0854) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Oct 2025 08:54:57 +0000

ros-one-joint-trajectory-controller (0.22.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 May 2024 00:00:00 -0000

ros-one-joint-trajectory-controller (0.21.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-joint-trajectory-controller (0.21.1-0jammy) jammy; urgency=high

  * Don't hardcode plugin library path
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-joint-trajectory-controller (0.21.0-0jammy) jammy; urgency=high

  * std::bind and placeholders instead of boost
  * Contributors: Lucas Walter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-joint-trajectory-controller (0.20.0-0jammy) jammy; urgency=high

  * Fix joint trajectory controller so results message is returned on tolerance failures
  * added description for joint trajectory controller path/goal tolerance violation to action result, include which joint violated tolerance and by how much
  * I think this was responsible for at least some std::runtime_errors
    Duration is out of dual 32-bit range
    that came from initializing a ros::Duration with an uninitialized double
  * Drop old C++ standard
  * Use new boost bind placeholders
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Levi Armstrong, Lucas Walter, grejj

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 May 2022 00:00:00 -0000

ros-one-joint-trajectory-controller (0.19.0-0jammy) jammy; urgency=high

  * Set time_from_start for state error too
  * joint_trajectory_controller: add time_from_start feedback
  * Contributors: Alexander Rössler, Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-joint-trajectory-controller (0.18.1-0jammy) jammy; urgency=high

  * Format CMakeLists.txt and package.xml files + clean deps of joint_trajectory_controller
  * Contributors: Mateus Amarante Araújo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-joint-trajectory-controller (0.18.0-0jammy) jammy; urgency=high

  * Increase joint0 smoothing to force goal tolerance violation
  * Add pathToleranceViolationSingleJoint and goalToleranceViolationSingleJoint tests
  * Allow setting 'smoothing' to each joint of rrbot
  * Only update state_joint_error_  values in loop where used
  * JointTrajectoryController: Fix tolerance checking to use state error from the correct joints
  * Fix missing virtual destructor
  * Contributors: Bence Magyar, Doug Morrison, Mateus Amarante, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-joint-trajectory-controller (0.17.0-0jammy) jammy; urgency=high

  * Add extension point in update function to allow derived classes to perform e.g. additional checks.
  * The stop- and hold-trajectory creation is moved into separate classes,
    to allow derived classes to re-use the stop- and hold-trajectory
    creation code.
  * The old desired state and the old time data are now also stored,
    to allow derived classes to perfrom more comprehensive checks, etc.
  * Contributors: Pilz GmbH and Co. KG, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 May 2020 00:00:00 -0000

ros-one-joint-trajectory-controller (0.16.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-joint-trajectory-controller (0.16.0-0jammy) jammy; urgency=high

  * Bump CMake version to prevent CMP0048
  * Add #pragma once to new joint_trajectory_controller test
  * Replace header guard with #pragma once
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * Add code_coverage target to CMakeLists.txt
  * Contributors: Bence Magyar, Immanuel Martini, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-joint-trajectory-controller (0.15.1-0jammy) jammy; urgency=high

  * Fix instabilities in JTC unittests
  * Add test_common.h
  * Re-enable tolerance tests
  * Make initialization of variables consistent
  * Let getState() return by value
  * Use nullptr (#447 <https://github.com/ros-controls/ros_controllers/issues/447>)
  * Comment out tolerance check tests until #48 <https://github.com/ros-controls/ros_controllers/issues/48> is solved.
  * Execution does not stop when goal gets aborted
  * Fix how we assert that controller is running
  * Introduce EPS for general double comparison
  * Make stopramp tests more stable
  * add missing pluginlib deps. (#451 <https://github.com/ros-controls/ros_controllers/issues/451>)
  * Print error messages for all exceptions
  * Contributors: Bence Magyar, Ian Frosst, Immanuel Martini, Matt Reynolds, Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-joint-trajectory-controller (0.15.0-0jammy) jammy; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::array -> std::array
  * mutex to C++11, boost::scoped_lock -> std::lock_guard
  * boost::scoped_ptr -> std::unique_ptr
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-joint-trajectory-controller (0.14.3-0jammy) jammy; urgency=high

  * use operators instead of aliases


## ros-one-joint-trajectory-controller 0.22.0-0jammy.20260221.0145

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(joint_trajectory_controller)

# Load catkin and all dependencies required for this package
find_package(catkin
  REQUIRED COMPONENTS
    actionlib
    angles
    control_msgs
    control_toolbox
    controller_interface
    hardware_interface
    pluginlib
    realtime_tools
    roscpp
    trajectory_msgs
    urdf
)

find_package(Boost REQUIRED)

# Declare catkin package
catkin_package(
  CATKIN_DEPENDS
    actionlib
    angles
    control_msgs
    control_toolbox
    controller_interface
    hardware_interface
    realtime_tools
    roscpp
    trajectory_msgs
    urdf
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}
  DEPENDS
    Boost
)


###########
## Build ##
###########

# Specify header include paths
include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/joint_trajectory_controller.cpp
                            include/joint_trajectory_controller/hardware_interface_adapter.h
                            include/joint_trajectory_controller/init_joint_trajectory.h
                            include/joint_trajectory_controller/joint_trajectory_controller.h
                            include/joint_trajectory_controller/joint_trajectory_controller_impl.h
                            include/joint_trajectory_controller/joint_trajectory_msg_utils.h
                            include/joint_trajectory_controller/joint_trajectory_segment.h
                            include/joint_trajectory_controller/tolerances.h
                            include/trajectory_interface/pos_vel_acc_state.h
                            include/trajectory_interface/quintic_spline_segment.h
                            include/trajectory_interface/trajectory_interface.h
)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})


#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  # Find packages required for tests
  find_package(controller_manager REQUIRED)
  find_package(rostest REQUIRED)

  # Include directories required for tests
  include_directories(${controller_manager_INCLUDE_DIRS})

  # Build auxiliary tools for tests
  add_executable(rrbot test/rrbot.cpp)
  target_link_libraries(rrbot ${catkin_LIBRARIES} ${controller_manager_LIBRARIES})

  add_executable(rrbot_wrapping test/rrbot_wrapping.cpp)
  target_link_libraries(rrbot_wrapping ${catkin_LIBRARIES} ${controller_manager_LIBRARIES})

  add_dependencies(tests rrbot)
  add_dependencies(tests rrbot_wrapping)
  add_dependencies(tests ${PROJECT_NAME})

  # Test components
  catkin_add_gtest(quintic_spline_segment_test test/quintic_spline_segment_test.cpp)
  target_link_libraries(quintic_spline_segment_test ${catkin_LIBRARIES})

  catkin_add_gtest(trajectory_interface_test test/trajectory_interface_test.cpp)
  target_link_libraries(trajectory_interface_test ${catkin_LIBRARIES})

  catkin_add_gtest(joint_trajectory_segment_test test/joint_trajectory_segment_test.cpp)
  target_link_libraries(joint_trajectory_segment_test ${catkin_LIBRARIES})

  catkin_add_gtest(joint_trajectory_msg_utils_test test/joint_trajectory_msg_utils_test.cpp)
  target_link_libraries(joint_trajectory_msg_utils_test ${catkin_LIBRARIES})

  catkin_add_gtest(init_joint_trajectory_test test/init_joint_trajectory_test.cpp)
  target_link_libraries(init_joint_trajectory_test ${catkin_LIBRARIES})

  catkin_add_gtest(trajectory_builder_test test/trajectory_builder_test.cpp)
  target_link_libraries(trajectory_builder_test ${catkin_LIBRARIES})

  catkin_add_gtest(hold_trajectory_builder_test
                   test/hold_trajectory_builder_test.cpp
                   test/test_common.cpp)
  target_link_libraries(hold_trajectory_builder_test ${catkin_LIBRARIES})

  catkin_add_gtest(stop_trajectory_builder_test
                   test/stop_trajectory_builder_test.cpp
                   test/test_common.cpp)
  target_link_libraries(stop_trajectory_builder_test ${catkin_LIBRARIES})

  add_rostest_gtest(tolerances_test
                  test/tolerances.test
                  test/tolerances_test.cpp)
  target_link_libraries(tolerances_test ${catkin_LIBRARIES})


  # Test the joint_trajectory_controller itself
  add_rostest_gtest(joint_trajectory_controller_test
                    test/joint_trajectory_controller.test
                    test/joint_trajectory_controller_test.cpp
                    test/test_common.cpp)
  target_link_libraries(joint_trajectory_controller_test ${catkin_LIBRARIES} ${controller_manager_LIBRARIES})

  add_rostest_gtest(joint_trajectory_controller_stopramp_test
                    test/joint_trajectory_controller_stopramp.test
                    test/joint_trajectory_controller_test.cpp
                    test/test_common.cpp)
  target_link_libraries(joint_trajectory_controller_stopramp_test ${catkin_LIBRARIES})

  add_rostest_gtest(joint_trajectory_controller_vel_test
                    test/joint_trajectory_controller_vel.test
                    test/joint_trajectory_controller_test.cpp
                    test/test_common.cpp)
  target_link_libraries(joint_trajectory_controller_vel_test ${catkin_LIBRARIES})
  target_compile_definitions(joint_trajectory_controller_vel_test PRIVATE TEST_VELOCITY_FF=1)

  add_rostest_gtest(joint_trajectory_controller_wrapping_test
                    test/joint_trajectory_controller_wrapping.test
                    test/joint_trajectory_controller_wrapping_test.cpp)
  target_link_libraries(joint_trajectory_controller_wrapping_test ${catkin_LIBRARIES})

  # Code coverage test
  if(ENABLE_COVERAGE_TESTING)
    find_package(code_coverage REQUIRED)
    APPEND_COVERAGE_COMPILER_FLAGS()

    set(COVERAGE_EXCLUDES "*/${PROJECT_NAME}/test*")
    add_code_coverage(NAME ${PROJECT_NAME}_coverage)
  endif()

endif()


#############
## Install ##
#############

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY include/trajectory_interface/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/trajectory_interface/
)

# Install targets
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Install plugins
install(FILES ros_control_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# TODO: Install test resource files as well?

=== debian/changelog ===
ros-one-joint-trajectory-controller (0.22.0-0jammy.20260221.0145) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 21 Feb 2026 01:45:22 +0000

=== debian/control ===
Source: ros-one-joint-trajectory-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-one-actionlib, ros-one-angles, ros-one-catkin, ros-one-control-msgs, ros-one-control-toolbox, ros-one-controller-interface, ros-one-hardware-interface, ros-one-pluginlib, ros-one-realtime-tools, ros-one-roscpp, ros-one-trajectory-msgs, ros-one-urdf
Homepage: https://github.com/ros-controls/ros_controllers/wiki
Standards-Version: 3.9.2

Package: ros-one-joint-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-one-actionlib, ros-one-angles, ros-one-control-msgs, ros-one-control-toolbox, ros-one-controller-interface, ros-one-hardware-interface, ros-one-realtime-tools, ros-one-roscpp, ros-one-trajectory-msgs, ros-one-urdf
Description: Controller for executing joint-space trajectories on a group of joints.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-joint-trajectory-controller//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-joint-trajectory-controller 0.22.0-0noble.20251023.0903

=== debian/changelog ===
ros-one-joint-trajectory-controller (0.22.0-0noble.20251023.0903) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Oct 2025 09:03:42 +0000

ros-one-joint-trajectory-controller (0.22.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 May 2024 00:00:00 -0000

ros-one-joint-trajectory-controller (0.21.2-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-joint-trajectory-controller (0.21.1-0noble) noble; urgency=high

  * Don't hardcode plugin library path
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-joint-trajectory-controller (0.21.0-0noble) noble; urgency=high

  * std::bind and placeholders instead of boost
  * Contributors: Lucas Walter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-joint-trajectory-controller (0.20.0-0noble) noble; urgency=high

  * Fix joint trajectory controller so results message is returned on tolerance failures
  * added description for joint trajectory controller path/goal tolerance violation to action result, include which joint violated tolerance and by how much
  * I think this was responsible for at least some std::runtime_errors
    Duration is out of dual 32-bit range
    that came from initializing a ros::Duration with an uninitialized double
  * Drop old C++ standard
  * Use new boost bind placeholders
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Levi Armstrong, Lucas Walter, grejj

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 May 2022 00:00:00 -0000

ros-one-joint-trajectory-controller (0.19.0-0noble) noble; urgency=high

  * Set time_from_start for state error too
  * joint_trajectory_controller: add time_from_start feedback
  * Contributors: Alexander Rössler, Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-joint-trajectory-controller (0.18.1-0noble) noble; urgency=high

  * Format CMakeLists.txt and package.xml files + clean deps of joint_trajectory_controller
  * Contributors: Mateus Amarante Araújo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-joint-trajectory-controller (0.18.0-0noble) noble; urgency=high

  * Increase joint0 smoothing to force goal tolerance violation
  * Add pathToleranceViolationSingleJoint and goalToleranceViolationSingleJoint tests
  * Allow setting 'smoothing' to each joint of rrbot
  * Only update state_joint_error_  values in loop where used
  * JointTrajectoryController: Fix tolerance checking to use state error from the correct joints
  * Fix missing virtual destructor
  * Contributors: Bence Magyar, Doug Morrison, Mateus Amarante, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-joint-trajectory-controller (0.17.0-0noble) noble; urgency=high

  * Add extension point in update function to allow derived classes to perform e.g. additional checks.
  * The stop- and hold-trajectory creation is moved into separate classes,
    to allow derived classes to re-use the stop- and hold-trajectory
    creation code.
  * The old desired state and the old time data are now also stored,
    to allow derived classes to perfrom more comprehensive checks, etc.
  * Contributors: Pilz GmbH and Co. KG, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 May 2020 00:00:00 -0000

ros-one-joint-trajectory-controller (0.16.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-joint-trajectory-controller (0.16.0-0noble) noble; urgency=high

  * Bump CMake version to prevent CMP0048
  * Add #pragma once to new joint_trajectory_controller test
  * Replace header guard with #pragma once
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * Add code_coverage target to CMakeLists.txt
  * Contributors: Bence Magyar, Immanuel Martini, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-joint-trajectory-controller (0.15.1-0noble) noble; urgency=high

  * Fix instabilities in JTC unittests
  * Add test_common.h
  * Re-enable tolerance tests
  * Make initialization of variables consistent
  * Let getState() return by value
  * Use nullptr (#447 <https://github.com/ros-controls/ros_controllers/issues/447>)
  * Comment out tolerance check tests until #48 <https://github.com/ros-controls/ros_controllers/issues/48> is solved.
  * Execution does not stop when goal gets aborted
  * Fix how we assert that controller is running
  * Introduce EPS for general double comparison
  * Make stopramp tests more stable
  * add missing pluginlib deps. (#451 <https://github.com/ros-controls/ros_controllers/issues/451>)
  * Print error messages for all exceptions
  * Contributors: Bence Magyar, Ian Frosst, Immanuel Martini, Matt Reynolds, Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-joint-trajectory-controller (0.15.0-0noble) noble; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::array -> std::array
  * mutex to C++11, boost::scoped_lock -> std::lock_guard
  * boost::scoped_ptr -> std::unique_ptr
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-joint-trajectory-controller (0.14.3-0noble) noble; urgency=high

  * use operators instead of aliases


## ros-one-joint-trajectory-controller 0.22.0-0noble.20260221.2115

=== debian/changelog ===
ros-one-joint-trajectory-controller (0.22.0-0noble.20260221.2115) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 21 Feb 2026 21:15:47 +0000
